import 'package:flutter/material.dart';
import 'package:drifter/theme/app_colors.dart';

class MessageTextButton extends StatelessWidget {
  const MessageTextButton({
    super.key,
    required this.onPressed,
    required this.label,
    this.color,
  });

  final void Function()? onPressed;
  final String label;
  final Color? color;

  @override
  Widget build(BuildContext context) {
    return TextButton(
      onPressed: onPressed,
      child: Text(
        label,
        style: TextStyle(
          color: AppColors.mainDarkBlue,
        ),
      ),
    );
  }
}
